@extends('admin.layout') @section('content')
<div class="content-wrapper" id="pjax-container" style="min-height: 474px;">
    <style type="text/css"></style>
    <div id="app" class=" ">
        <section class="content-header">
            <h1>Page<small>Update</small></h1>
            <!-- breadcrumb start -->
            <ol class="breadcrumb" style="margin-right: 30px;">
                <li><a href="{{ route('admin.dashboard') }}"><i class="fa fa-dashboard"></i> Home</a></li>
                <li> Auth</li>
                <li>Pages</li>
                <li>Update</li>
            </ol>
            <!-- breadcrumb end -->
        </section>
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box box-info">
                        <div class="box-header with-border">
                            <h3 class="box-title">Update</h3>
                            <div class="box-tools">
                                <div class="btn-group pull-right" style="margin-right: 5px">
                                    <a href="{{ route('page.index') }}" class="btn btn-sm btn-default" title="List"><i class="fa fa-list"></i><span
                                            class="hidden-xs">&nbsp;List</span></a>
                                </div>
                            </div>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        <form action="{{ route('page.update',$page->id) }}" method="POST" class="form-horizontal model-form-5f6c9704b9434" accept-charset="UTF-8" enctype="multipart/form-data" pjax-container>
                            {{ csrf_field() }}
                            {{ method_field('PATCH') }}
                            
                            <div class="box-body">
                                <div class="fields-group">
                                    <div class="col-md-12">
                                        @foreach($description as $des)
                                        <div class="form-group  @error('name_'.$des['language_id']) has-error @enderror">
                                            <label for="name" class="col-sm-2 asterisk control-label">Name ({{ $des['language_name'] }})</label>
                                            <div class="col-sm-8">
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i class="fa fa-pencil fa-fw"></i></span>
                                                    <input type="text" name="name_<?=$des['language_id']?>" class="form-control name" placeholder="Input Name" value="{{$des['name']}}" autocomplete="off" autofocus>
                                                </div>
                                                @error('name_'.$des['language_id']) <span class="invalid-feedback" role="alert"><small>{{ $message }}</small></span> @enderror
                                            </div>
                                        </div>
                                        @endforeach
                                        <div class="form-group  @error('slug') has-error @enderror">
                                            <label for="slug" class="col-sm-2 asterisk control-label">Slug</label>
                                            <div class="col-sm-8">
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i class="fa fa-pencil fa-fw"></i></span>
                                                    <input type="text" id="slug" name="slug" class="form-control" placeholder="Input slug" value="{{ $page->slug }}" autocomplete="off" autofocus>
                                                </div>
                                                @error('slug') <span class="invalid-feedback" role="alert"><small>{{ $message }}</small></span> @enderror
                                            </div>
                                        </div>
                                        @foreach($description as $des)
                                        <div class="form-group  @error('description_'.$des['language_id']) has-error @enderror">
                                            <label for="name" class="col-sm-2 asterisk control-label">Description ({{ $des['language_name'] }})</label>
                                            <div class="col-sm-8">
                                                    <textarea name="description_<?=$des['language_id']?>" class="form-control editer<?=$des['language_id']?>" placeholder="Input Description" autocomplete="off" autofocus>{{ $des['description'] }}</textarea>                                               
                                                @error('description_'.$des['language_id']) <span class="invalid-feedback" role="alert"><small>{{ $message }}</small></span> @enderror
                                            </div>
                                        </div>
                                        @endforeach
                                        
                                    </div>
                                </div>
                            </div>
                            <!-- /.box-body -->
                            <div class="box-footer">
                                <div class="col-md-2">
                                </div>
                                <div class="col-md-8">
                                    <div class="btn-group pull-right">
                                        <button type="submit" class="btn btn-primary">Submit</button>
                                    </div>
                                    <div class="btn-group pull-left">
                                        <button type="reset" class="btn btn-warning">Reset</button>
                                    </div>
                                </div>
                            </div>
                            <!-- /.box-footer -->
                        </form>
                    </div>
                </div>
            </div>
        </section>
    </div>
@include('admin.common.toastr')
</div>
@endsection