@extends('admin.layout') @section('content')
<div class="content-wrapper" id="pjax-container" style="min-height: 474px;">
    <style type="text/css"></style>
    <div id="app" class=" ">
        <section class="content-header">
            <h1> Social Setting <small>Update</small></h1>
            <!-- breadcrumb start -->
            <ol class="breadcrumb" style="margin-right: 30px;">
                <li><a href="{{ route('admin.dashboard') }}"><i class="fa fa-dashboard"></i> Home</a></li>
                <li> Auth</li>
                <li>Social Links</li>
                <li>Update</li>
            </ol>
            <!-- breadcrumb end -->
        </section>
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box box-info">
                        <div class="box-header with-border">
                            <h3 class="box-title">Update</h3>

                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        <form action="{{ route('socialLinks') }}" method="post" class="form-horizontal model-form-5f6c9704b9434" accept-charset="UTF-8" enctype="multipart/form-data" pjax-container>
                            {{ csrf_field() }}

                            <div class="box-body">
                                <div class="fields-group">
                                    <div class="col-md-12">
                                        <div class="form-group  @error('google_url') has-error @enderror">
                                            <label for="name" class="col-sm-2 control-label">Google URL</label>
                                            <div class="col-sm-8">
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i class="fa fa-google fa-fw"></i></span>
                                                    <input type="text" name="{{ $settings[25]->name }}" class="form-control" value="{{ $settings[25]->value }}" autocomplete="name" autofocus>
                                                </div>
                                                @error('google_url') <span class="invalid-feedback" role="alert"><small>{{ $message }}</small></span> @enderror
                                            </div>
                                        </div>
                                        <div class="form-group @error('facebook_url') has-error @enderror">
                                            <label for="name" class="col-sm-2 control-label">Facebook URL</label>
                                            <div class="col-sm-8">
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i class="fa fa-facebook fa-fw"></i></span>
                                                    <input type="text" name="{{ $settings[26]->name }}" value="{{ $settings[26]->value }}" class="form-control email">
                                                </div>
                                                @error('facebook_url')<span class="invalid-feedback" role="alert"><small>{{ $message }}</small></span> @enderror
                                            </div>
                                        </div>
                                        <div class="form-group @error('instagram_url') has-error @enderror">
                                            <label for="name" class="col-sm-2  control-label">Instagram URL</label>
                                            <div class="col-sm-8">
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i class="fa fa-instagram fa-fw"></i></span>
                                                    <input type="text" name="{{ $settings[27]->name }}" value="{{ $settings[27]->value }}" class="form-control">
                                                </div>
                                                @error('instagram_url')<span class="invalid-feedback" role="alert"><small>{{ $message }}</small></span> @enderror
                                            </div>
                                        </div>
                                        <div class="form-group @error('linkedin_url') has-error @enderror">
                                            <label for="name" class="col-sm-2 control-label">linkedin URL</label>
                                            <div class="col-sm-8">
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i class="fa fa-linkedin fa-fw"></i></span>
                                                    <input type="text" name="{{ $settings[28]->name }}" value="{{ $settings[28]->value }}" class="form-control">
                                                </div>
                                                @error('linkedin_url')<span class="invalid-feedback" role="alert"><small>{{ $message }}</small></span> @enderror
                                            </div>
                                        </div>
                                        <div class="form-group @error('twitter_url') has-error @enderror">
                                            <label for="name" class="col-sm-2 control-label">Twitter URL</label>
                                            <div class="col-sm-8">
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i class="fa fa-twitter fa-fw"></i></span>
                                                    <input type="text" name="{{ $settings[29]->name }}" value="{{ $settings[29]->value }}" class="form-control">
                                                </div>
                                                @error('twitter_url')<span class="invalid-feedback" role="alert"><small>{{ $message }}</small></span> @enderror
                                            </div>
                                        </div>

                                        <div class="form-group @error('youtube_url') has-error @enderror">
                                            <label for="name" class="col-sm-2 control-label">YouTube URL</label>
                                            <div class="col-sm-8">
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i class="fa fa-youtube fa-fw"></i></span>
                                                    <input type="text" name="{{ $settings[20]->name }}" value="{{ $settings[30]->value }}" class="form-control">
                                                </div>
                                                @error('youtube_url')<span class="invalid-feedback" role="alert"><small>{{ $message }}</small></span> @enderror
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- /.box-body -->
                            @canany(['socialSettings.edit','all'])
                            <div class="box-footer">
                                <div class="col-md-2">
                                </div>
                                <div class="col-md-8">
                                    <div class="btn-group pull-right">
                                        <button type="submit" class="btn btn-primary">Submit</button>
                                    </div>
                                    <div class="btn-group pull-left">
                                        <button type="reset" class="btn btn-warning">Reset</button>
                                    </div>
                                </div>
                            </div>
                            @endcanany
                            <!-- /.box-footer -->
                        </form>
                    </div>
                </div>
            </div>
        </section>
    </div>
    @include('admin.common.toastr')
</div>
@endsection