@extends('web.layout')
@section('content')
<div class="container-fluid">
    <div class="row justify-content-center">
        <div><h2 class="footer-title">@lang('website.Reset Password')</h2></div>
    </div><br>
                    @if (session('status'))
                    <div class="row justify-content-center">
                        <div class="col-md-8"> 
                            <div class="alert alert-dismissible" style="background-color: #ded9cf;">
                            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                            <strong>Success!</strong> {{ session('status') }}
                            </div>
                        </div>
                    </div>
                    @endif
    <div class="row justify-content-center">
        <div class="col-md-6 col-lg-6">
            <div class="card login-card">
                
                <div class="card-body">
                    <form method="POST" action="{{ route('web.resetPassword') }}">
                        @csrf
                        <input type="hidden" name="token" value="{{ $token }}">
                        <div class="form-group row">
                            <label for="email" class="col-md-12 col-form-label">@lang('website.E-Mail Address')</label>
                            <div class="col-md-12">
                                <input type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ $email ?? old('email') }}" autocomplete="email" autofocus>
                                @error('email')<span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>@enderror
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="email" class="col-md-12 col-form-label">@lang('website.Password')</label>
                            <div class="col-md-12">
                                <input type="password" class="form-control @error('password') is-invalid @enderror" name="password" value="{{ old('password') }}" autocomplete="password" autofocus>
                                @error('password')<span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>@enderror
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="email" class="col-md-12 col-form-label">@lang('website.Confirm Password')</label>
                            <div class="col-md-12">
                                <input type="password_confirmation" class="form-control @error('password_confirmation') is-invalid @enderror" name="password_confirmation" value="{{ old('password_confirmation') }}" autocomplete="password_confirmation" autofocus>
                                @error('password_confirmation')<span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>@enderror
                            </div>
                        </div>
                       <div class="form-group row mb-0">
                            <div class="col-md-12">
                                <button type="submit" class="btn btn-primary">@lang('website.Reset Password')</button>
                                <a href="{{ route('web.signin') }}" style="margin-left: 20px;">@lang('website.Login')</a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<section class="section">
	<div class="container-fluid">
		<div class="row ">
			<div class="col-12" style="background-image: url(https://sartorojewelry.com/wp-content/uploads/2021/02/WEB_BANNER_1800x846px_4.jpg);background-position: center center;background-repeat: no-repeat;background-size: cover;background-attachment: scroll;min-height: 500px;">
			</div>
				<div class="card-section absolute" style="width: 100%;height: auto;transform: translateY(-300%);top: 50%;z-index: 9;padding: 1rem;">
				    <div class="container text-center">
				        <h3 class="h2" style="color: #fff;text-shadow: 1px 1px 5px #4a4a4a;font-weight:100;font-family: 'Neutraface Diplay Light', sans-serif;">@lang('website.Enter the World of NS JEWELRY')</h3>
				        <p></p>
				        <a class="btn btn-primary" href="{{URL::to('shop')}}">@lang('website.Shop Now')</a>
                    </div>
                </div>
		</div>
	</div>
</section>

@endsection
